Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Serial

Name

### stop()

Examples

    // Example by Tom Igoe

    import processing.serial.*;

    Serial myPort;  // The serial port
    char inByte;
    int i = 0;

    void setup() {
      // List all the available serial ports
      println(Serial.list());
      // I know that the first port in the serial list on my mac
      // is always my  Keyspan adaptor, so I open Serial.list()[0].
      // Open whatever port is the one you're using.
      myPort = new Serial(this, Serial.list()[0], 9600);
    }

    void draw() {
      // Read until we have 10 bytes, then close the port
      if (myPort.available() > 0) {
        if (i >= 10) {
          // Clear the buffer, or available() will still be > 0
          myPort.clear();
          // Close the port
          myPort.stop();
          println("10 bytes! I'm done!");
        } else {
          inByte = myPort.readChar();
          println(inByte);
        }
        i++;
      }
    }

Description | Stops data communication on this port. Use to shut the connection when you're finished with the Serial.

Syntax

    serial.stop()

Parameters

serial | any variable of type Serial

Usage | Web & Application

Updated on February 09, 2008 04:38:52pm PST